﻿Type=Class
Version=4.2
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@

Sub Class_Globals
	Private fx As JFX
	Public vars As Map '--- app vars saved to disk
	Private varsFile As String = "settings.map"
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
End Sub

public Sub debugLog(s As String)
	If fn.IsDebugMode Then
		Log(s)		
	End If
End Sub


public Sub RemoveFromList(lst As ListView)
	debugLog("RemoveFromList")
	If lst.Items.Size >= 200 Then
		For x = lst.Items.Size -1 To 100 Step -1
			lst.Items.RemoveAt(x)
		Next
	End If
End Sub


#region LOAD_SAVE_APP_VARS

private Sub AppVarsInit() As Map
	Dim m As Map
	m.Initialize
	m.Put("client_id",fn.GUID)
	AppVarsSave(m)
	Return m
End Sub


public Sub AppVarsLoad
	If File.Exists(File.DirApp,varsFile) Then
		vars = File.ReadMap(File.DirApp,varsFile)
	Else
		vars = AppVarsInit
	End If
End Sub


public Sub AppVarsSave(m As Map)
	fn.SafeKill(File.DirApp,varsFile)
	File.WriteMap(File.DirApp,varsFile,m)
End Sub

#end region
