﻿Type=StaticCode
Version=4.2
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	
	' ----------  TIPS!!!
	' http://www.rwblinn.de/#  
	'
End Sub

Sub setFormAlwaysOnTop(frm As Object, Value As Boolean)
    Dim joForm As JavaObject = frm
    Dim stage As JavaObject = joForm.GetField("stage")
    stage.RunMethod("setAlwaysOnTop", Array(Value))
End Sub

Sub getLocalIP As String
  Dim JO As JavaObject
  Return JO.InitializeStatic("java.net.InetAddress").RunMethodJO("getLocalHost", Null).RunMethod("getHostAddress", Null)
End Sub

Sub getJREVersion As String
  Dim JO As JavaObject
  Return JO.InitializeStatic("java.lang.System").RunMethod("getProperty", Array As Object("java.version"))
End Sub

Sub GUID As String
   Dim joUUID As JavaObject
   Return joUUID.InitializeStatic("java.util.UUID").RunMethod("randomUUID", Null)
End Sub

Sub IsDebugMode As Boolean
 #If DEBUG
   Return True
 #Else
   Return False
 #End If
End Sub


Sub GetPakageName As String
	Dim joBA As JavaObject
	joBA.InitializeStatic("anywheresoftware.b4a.BA")
	Return joBA.GetField("packageName")
End Sub

Sub Beep
   Dim jo As JavaObject
   jo.InitializeStatic("java.awt.Toolkit")
   Dim toolkit As JavaObject = jo.RunMethod("getDefaultToolkit", Null)
   toolkit.RunMethod("beep", Null)
End Sub

'Log entry in red text
'Parameter: String to Log
Sub LogR(s As String)
  Dim joBA As JavaObject
  joBA.InitializeStatic("java.lang.System")
  Dim joBAF As JavaObject = joBA.GetFieldJO("err")
  joBAF.RunMethod("println", Array(s))
End Sub

Public Sub SafeKill(pFolder As String, pName As String)
	Try 
		File.Delete(pFolder,pName)
	Catch
	End Try'ignore
End Sub


Sub CenterFormOnScreen(Frm As Form)
   Dim ps As Screen = fx.PrimaryScreen
   Frm.WindowTop = (ps.MaxY - ps.MinY) / 2 - Frm.Height / 2
   Frm.WindowLeft = (ps.MaxX - ps.MinX) / 2 - Frm.Width / 2
End Sub   

'To check If a form Is showing (open on the user's system), make use of a  JavaObject to run an API method.
Sub IsShowing(f As Form) As Boolean
   Dim jo As JavaObject = f
   Return jo.GetFieldJO("stage").RunMethod("isShowing", Null)
End Sub

' Copy String to the Clipboard
' Parameter s: String to copy
Sub copyStringToClipboard(s As String)
  fx.Clipboard.SetString(s)
End Sub

' Paste String from Clipboard
' Return: String
Sub pasteStringFromClipboard As String
  Return fx.Clipboard.GetString
End Sub


'-------------------------------------------------------------------------------------------------
'-------------------------------------------------------------------------------------------------
'-------------------------------------------------------------------------------------------------


'-------------------------------------------------------------------------------------------------
'-------------------------------------------------------------------------------------------------
'-------------------------------------------------------------------------------------------------

'Example using the MainForm
''Define the JavaObject and assign the MainForm
'Dim joStage As JavaObject = MainForm
''Set the Form iconified tlag to false which will show the form
''Set the Form iconified tlag to false which will show the form
'joStage.GetFieldJO("stage").RunMethod("setIconified", Array(False))




'' Define the javaobject
'Dim joClipBoard As JavaObject
'' Access the clipboard class to be able to use the methods
'joClipBoard.InitializeStatic("javafx.scene.input.Clipboard")
'' Access the general system clipboard and run the method required - clear in this case
'joClipBoard.RunMethodJO("getSystemClipboard",Null).RunMethod("clear",Null)



'
'Dim os As String = GetSystemProperty("os.name", "").ToLowerCase
'Log(os)
'' for example os is Windows 8
'If os.Contains("win") Then
'   
'Else If os.Contains("mac") Then
'
'Else
'   'linux
'End If
